<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMTYPEEditViewBase from './emitemtypeedit-view-base.vue';

import view_form from '@widgets/emitem-type/main2-form/main2-form.vue';

/**
 * 物品类型
 *
 * @export
 * @class EMITEMTYPEEditView
 * @extends {EMITEMTYPEEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMTYPEEditView extends EMITEMTYPEEditViewBase { }
</script>